Error: endeavouros-theming:

error: endeavouros-theming: se desconoce el nivel de confianza de la firma de «EndeavourOS info@endeavouros.com»
:: El archivo /var/cache/pacman/pkg/endeavouros-theming-5-2.3-any.pkg.tar.zst está dañado (paquete no válido o dañado (firma PGP)).
¿Quiere eliminarlo? [S/n] s
error: no se pudo realizar la operación (paquete no válido o dañado)
Ocurrieron errores, por lo que no se actualizaron los paquetes
2020-07-13 15:57:34,619 - wrappers - pacman - ERROR - pacman query [‘sudo’, ‘pacman’, ‘–sync’, ‘–refresh’, ‘–sysupgrade’] failed

Known issue! Follow this:

Los usuarios deben actualizarse a la nueva versión de la temática de endeavouros

¡Hola a todos!

Para los usuarios ocupados o impacientes aquí está una versión corta primero:

actualizar su sistema normalmente
después de la actualización, instalar el paquete eos-hooks
¡Eso es! Sonríe:

Entonces alguna explicación más para los usuarios no tan ocupados. Guiño:

Acaba de salir una nueva versión 5-2.3 del paquete endeavouros-theming.
Los ganchos que causaban problemas a muchos usuarios ahora se han eliminado de ese paquete, y han sido movidos a otro paquete.

Esto significa que primero debes actualizar tu sistema normalmente, para que tengas instalado el nuevo paquete endeavouros-theming. Entonces notará que en la carpeta /etc/pacman.d/hooks los archivos os-release.hook y lsb-release.hook han desaparecido.

Entonces, si quieres tener los ganchos (probablemente lo harías), instala el nuevo paquete eos-hooks. Después de eso, esos archivos de ganchos volverán a aparecer, de vuelta a su sitio.

1 Like

Por favor, intente los siguientes comandos:

  sudo pacman-key --refresh-keys
  sudo pacman -Syyu